Package org.bukkit.entity

# Enum Class Llama.Color

java.lang.Object
java.lang.Enum<Llama.Color>
org.bukkit.entity.Llama.Color

All Implemented Interfaces:
  `Serializable`, `Comparable<Llama.Color>`, `Constable`

Enclosing interface:
  Llama

public static enum Llama.Color extends Enum<Llama.Color>
Represents the base color that the llama has.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BROWN`
A brown llama.
`CREAMY`
A cream-colored llama.
`GRAY`
A gray llama.
`WHITE`
A white llama.

## Method Summary

Modifier and Type
Method
Description
`static Llama.Color`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Llama.Color[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CREAMY

public static final Llama.Color CREAMY
A cream-colored llama.

### WHITE

public static final Llama.Color WHITE
A white llama.

### BROWN

public static final Llama.Color BROWN
A brown llama.

### GRAY

public static final Llama.Color GRAY
A gray llama.

## Method Details

### values

public static Llama.Color[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Llama.Color valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null